#include <stdlib.h>
#include <string.h>

void reverse(char str[])
{
    int c, i, j;
    for(i = 0,j = strlen(str)-1; i < j; i++, j--)
    {
        c = str[i];
        str[i] = str[j];
        str[j] = c;
    }
}

void IntToString(char str[], int value)
{
    int i, sign;
     
    if((sign = value) < 0 )
    {
        value = -value;
    }
    i = 0;
    do
    {
        str[i++] = value %10 + '0';
    }
    while((value /= 10) >0);
    if (sign < 0)
    {
        str[i++] = '-';
    }
    str[i] = '\0';
    reverse(str);
}

int hextoint(int hex)
{
  unsigned int var, var2;
  if( hex >= 16)
  {
    var = hex <<4;
    var2 = var;
    var = var*16;
    if( var2 <= 16)
    {
      var = var + var;
    }
    if( var2 >= 16)
    {
      hextoint(var2);
    }
  }
  return var;
}

//--------------------------- hex to asc ---------------------------------
// converts a hex value (00..0F) into the ASCII-character '0'..'F'
unsigned char hex2asc(unsigned char hexbyte)
{
	
	hexbyte += 48;			// ASCII code for 0-9 is 48-57
	
	if(hexbyte>=58)			// ASCII code for A-F is 65-70 -> in that case add 7
		hexbyte += 7;
	
	return hexbyte;
}


void wait(unsigned int i) // delay function
{
  unsigned int j;
  for(j=0;j<i;j++);
}

void wait_precise(unsigned int i)       // praeziser, wird nur fuer triac-zuendung benoetigt
{                                       // wartet i * 0,1ms
  unsigned int j, k;
  for(k=0;k<46;k++)
  {
    for(j=0;j<i;j++);
  }
}
