#include <msp430x14x.h>
#include "i2c.h"
#include "help.h"

struct br24c64
{
        // protokol:
        // start; read/write; ackn; haddress; ackn; laddress; ackn; data; ackn; stop;
	int read;
	int write;
	unsigned long address;
//	int haddress;
//	int laddress;
	int erg;
}BR24C64;

/*void setaddress(int h, int l)
{
	BR24C64.haddress = h;
	BR24C64.laddress = l;
}*/

void setaddress(unsigned long address)
{
	BR24C64.address = address;
}

void init_br24c64()
{
	BR24C64.read = 0xa1; 
	BR24C64.write = 0xa0;
//	setaddress(0,0);
	setaddress(0);
}

int read_br24c64()
{
	i2cStart();
	i2cWrite(BR24C64.write);
//	i2cWrite(BR24C64.haddress);
//	i2cWrite(BR24C64.laddress);
	i2cWrite(BR24C64.address>>8);
	i2cWrite(BR24C64.address);
	i2cStart();
	i2cWrite(BR24C64.read);
	BR24C64.erg = i2cRead(0);
	i2cStop();
	return BR24C64.erg;
}

void write_br24c64(int data)
{
	BR24C64.erg = data;
	i2cStart();
	i2cWrite(BR24C64.write);
//	i2cWrite(BR24C64.haddress);
//	i2cWrite(BR24C64.laddress);
	i2cWrite(BR24C64.address>>8);
	i2cWrite(BR24C64.address);
	i2cWrite(BR24C64.erg);
	i2cStop();
}
